import React from 'react';

export const TodoIcon = ({ fill = '#70C162', fillRule = 'evenodd', ...props }) => (
	<svg width='15px' height='19px' viewBox='0 0 15 19' version='1.1' className='todo-icon-components' {...props}>
		<g id='Symbols' stroke='none' strokeWidth='1' fill='none' fillRule={fillRule}>
			<g id='Nav' transform='translate(-285.000000, 0.000000)' fill={fill}>
				<g id='Stacked-Group-2'>
					<path
						d='M295.88388,3.46000021 L295.88388,3.04000021 C295.88388,2.69219821 295.602522,2.41000021 295.25388,2.41000021 L294.389268,2.41000021 C294.218643,1.30010821 293.263794,0.48062521 292.140798,0.48062521 C291.017802,0.48062521 290.062953,1.30010821 289.893168,2.41000021 L289.026099,2.41000021 C288.677457,2.41000021 288.396099,2.69219821 288.396099,3.04000021 L288.396099,3.46000021 L287.31,3.46000021 C286.034418,3.46000021 285,4.49441821 285,5.77000021 L285,16.6900002 C285,17.9664012 286.034418,19 287.31,19 L296.97,19 C298.245582,19 299.28,17.9664012 299.28,16.6900002 L299.28,5.77000021 C299.28,4.49441821 298.245582,3.46000021 296.97,3.46000021 L295.88388,3.46000021 Z M289.656099,3.67000021 L290.496099,3.67000021 C290.843901,3.67000021 291.126099,3.38864221 291.126099,3.04000021 L291.126099,2.76109921 C291.126099,2.20000021 291.58056,1.74556021 292.140819,1.74556021 C292.701918,1.74556021 293.156358,2.20002121 293.156358,2.76109921 L293.156358,3.04245721 C293.156358,3.39025921 293.438556,3.67245721 293.786358,3.67245721 L294.626358,3.67245721 L294.626358,5.10635821 L289.656078,5.10717931 L289.656099,3.67000021 Z M291.651099,13.9207302 C291.534614,14.02245 291.385323,14.0790513 291.231099,14.0782302 L291.195004,14.0782302 C291.027659,14.0683854 290.871793,13.9929177 290.760241,13.8682302 L288.948172,11.8141782 C288.716017,11.5533162 288.739812,11.1538332 289.000672,10.9216782 C289.261534,10.6895232 289.661017,10.7133183 289.893172,10.9741782 L291.287698,12.5557302 L294.450088,9.76504021 C294.710131,9.53288521 295.109614,9.55586131 295.341769,9.81590011 C295.573105,10.0767621 295.550129,10.4754261 295.29009,10.7075811 L291.651099,13.9207302 Z'
						id='Page-1'
						fill={fill}
					/>
				</g>
			</g>
		</g>
	</svg>
);
